tensor3_basic< T >

## Public Types

typedef size_t | size_type
typedef T | element_type
typedef T | float_type

## Public Member Functions

| tensor3_basic (const T &init_val=0)
| tensor3_basic (const tensor3_basic< T > &a)
tensor3_basic< T > & | operator= (const tensor3_basic< T > &a)
tensor3_basic< T > & | operator= (const T &val)
T & | operator() (size_type i, size_type j, size_type k)
const T & | operator() (size_type i, size_type j, size_type k) const
tensor3_basic< T > | operator* (const T &k) const
tensor3_basic< T > | operator/ (const T &k) const
tensor_basic< T > | operator* (const point_basic< T > &v) const
tensor3_basic< T > | operator* (const tensor_basic< T > &b) const
tensor3_basic< T > | operator+ (const tensor3_basic< T > &b) const
tensor3_basic< T > | operator- (const tensor3_basic< T > &b) const
tensor3_basic< T > & | operator+= (const tensor3_basic< T > &)
tensor3_basic< T > & | operator-= (const tensor3_basic< T > &)
tensor3_basic< T > & | operator*= (const T &k)
tensor3_basic< T > & | operator/= (const T &k)
std::ostream & | put (std::ostream &s, size_type d=3) const
std::istream & | get (std::istream &)

## Protected Attributes

T | _x [3][3][3]

## Detailed Description

### template<class T>
class rheolef::tensor3_basic< T >

Definition at line 73 of file tensor3.h.

## Member Typedef Documentation

## size_type

typedef size_t size_type

Definition at line 76 of file tensor3.h.

## element_type

typedef T element_type

Definition at line 77 of file tensor3.h.

## float_type

typedef T float_type

Definition at line 78 of file tensor3.h.

## Constructor & Destructor Documentation

## tensor3_basic() [1/2]

tensor3_basic | ( | const T & | init_val = `0` | ) |

Definition at line 132 of file tensor3.h.

## tensor3_basic() [2/2]

tensor3_basic | ( | const tensor3_basic< T > & | a | ) |

Definition at line 138 of file tensor3.h.

## Member Function Documentation

## operator=() [1/2]

tensor3_basic< T > & operator= | ( | const tensor3_basic< T > & | a | ) |

Definition at line 38 of file tensor3.cc.

## operator=() [2/2]

tensor3_basic< T > & operator= | ( | const T & | val | ) |

Definition at line 28 of file tensor3.cc.

## operator()() [1/2]

T & operator() | ( | size_type | i,
|  | size_type | j,
|  | size_type | k
| ) |  |

Definition at line 145 of file tensor3.h.

## operator()() [2/2]

const T & operator() | ( | size_type | i,
|  | size_type | j,
|  | size_type | k
| ) |  | const

Definition at line 152 of file tensor3.h.

## operator*() [1/3]

tensor3_basic< T > operator* | ( | const T & | k | ) | const

Definition at line 159 of file tensor3.h.

## operator/()

tensor3_basic< T > operator/ | ( | const T & | k | ) | const

Definition at line 179 of file tensor3.h.

## operator*() [2/3]

tensor_basic< T > operator* | ( | const point_basic< T > & | v | ) | const

Definition at line 49 of file tensor3.cc.

## operator*() [3/3]

tensor3_basic< T > operator* | ( | const tensor_basic< T > & | b | ) | const

Definition at line 60 of file tensor3.cc.

## operator+()

tensor3_basic< T > operator+ | ( | const tensor3_basic< T > & | b | ) | const

Definition at line 72 of file tensor3.cc.

## operator-()

tensor3_basic< T > operator- | ( | const tensor3_basic< T > & | b | ) | const

Definition at line 83 of file tensor3.cc.

## operator+=()

tensor3_basic< T > & operator+= | ( | const tensor3_basic< T > & | b | ) |

Definition at line 106 of file tensor3.cc.

## operator-=()

tensor3_basic< T > & operator-= | ( | const tensor3_basic< T > & | b | ) |

Definition at line 116 of file tensor3.cc.

## operator*=()

tensor3_basic< T > & operator*= | ( | const T & | k | ) |

Definition at line 126 of file tensor3.cc.

## operator/=()

tensor3_basic<T>& operator/= | ( | const T & | k | ) |

Definition at line 105 of file tensor3.h.

## put()

ostream & put | ( | std::ostream & | s,
|  | size_type | d = `3`
| ) |  | const

Definition at line 140 of file tensor3.cc.

## get()

std::istream& get | ( | std::istream & |  | ) |

## Member Data Documentation

## _x

T _x[3][3][3]

protected

Definition at line 115 of file tensor3.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/tensor3.h
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/tensor3.cc